# Generated for IBM Rational Tau 4.3.0.6.24203 at Wed Dec 04 08:28:46 PM CET 2013
# Licensed Materials - Property of IBM 
# (c) Copyright IBM Corporation 2002,2013.  All Rights Reserved.
# 
# U.S. Government Users Restricted Rights:  Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

proc ReportVisibility { elmt } {

  if { ![catch { set visibility [u2::GetValue $elmt "Visibility"] } ] } {

    switch $visibility {
      VkNoVisibility {
        set visibility "Default"
      }
      VkPublic {
        set visibility "Public"
      }
      VkPrivate {
        set visibility "Private"
      }
      VkProtected {
        set visibility "Protected"
      }
      default {
        dbg::Output "Unhandled visibility value: $visibility\n";
        return
      }
    };#end_switch on visibility system value

    html_bullet "Visibility: $visibility"

  }

};#end_proc ReportVisibility

